package fr.gouv.finances.dgfip.xemelios.web;

import fr.gouv.finances.dgfip.xemelios.services.Menu;
import fr.gouv.finances.dgfip.xemelios.web.utils.FilAriane;
import javax.servlet.http.HttpSession;

/**
 * @author CBO
 */
public class AttributeHelper {

    static private final String PRINCIPAL_SAN = "principal";
    static private final String MENU_SAN = "menu";
    static private final String FIL_ARIANE_SAN = "filAriane";

    static public Principal getPrincipal(HttpSession session) {
        return (Principal) session.getAttribute(PRINCIPAL_SAN);
    }

    static public void setPrincipal(HttpSession session, Principal principal) {
        session.setAttribute(PRINCIPAL_SAN, principal);
    }

    static public Menu getMenu(HttpSession session) {
        return (Menu) session.getAttribute(MENU_SAN);
    }

    static public void setMenu(HttpSession session, Menu menu) {
        session.setAttribute(MENU_SAN, menu);
    }

    static public FilAriane getFilAriane(HttpSession session) {
        return (FilAriane) session.getAttribute(FIL_ARIANE_SAN);
    }

    static public void setFilAriane(HttpSession session, FilAriane filAriane) {
        session.setAttribute(FIL_ARIANE_SAN, filAriane);
    }
}
