package fr.gouv.finances.dgfip.xemelios.web.connexion;

import fr.gouv.finances.dgfip.xemelios.web.Principal;
import javax.servlet.http.HttpServletRequest;

/**
 * @author CBO
 */
public interface Authenticator {

  public Principal authenticate(HttpServletRequest request) throws Exception;

  static public class AuthenticatorException extends Exception {

    public AuthenticatorException(String message) {
      super(message);
    }
  }
}
