package fr.gouv.finances.dgfip.xemelios.web.gwt.client.dto;

import com.google.gwt.user.client.rpc.IsSerializable;
import java.util.List;

/**
 * @author CBO
 */
public class InitParametersDTO implements IsSerializable {

    private List<LabelValueDTO> collectivites;
    private List<LabelValueDTO> firstCollectiviteBudgets;
    private List<CritereTypeDTO> critereTypes;

    public InitParametersDTO() {
    }

    public InitParametersDTO(List<LabelValueDTO> collectivites, List<LabelValueDTO> firstCollectiviteBudgets, List<CritereTypeDTO> critereTypes) {
        this.collectivites = collectivites;
        this.firstCollectiviteBudgets = firstCollectiviteBudgets;
        this.critereTypes = critereTypes;
    }

    public List<LabelValueDTO> getCollectivites() {
        return collectivites;
    }

    public void setCollectivites(List<LabelValueDTO> collectivites) {
        this.collectivites = collectivites;
    }

    public List<CritereTypeDTO> getCritereTypes() {
        return critereTypes;
    }

    public void setCritereTypes(List<CritereTypeDTO> critereTypes) {
        this.critereTypes = critereTypes;
    }

    public List<LabelValueDTO> getFirstCollectiviteBudgets() {
        return firstCollectiviteBudgets;
    }

    public void setFirstCollectiviteBudgets(List<LabelValueDTO> firstCollectiviteBudgets) {
        this.firstCollectiviteBudgets = firstCollectiviteBudgets;
    }
}
