package fr.gouv.finances.dgfip.xemelios.web.gwt.client.dto;

import java.util.ArrayList;
import java.util.List;

/**
 * @author CBO
 */
abstract public class InputCritereItemDTO extends CritereItemDTO {

    private String inputId;
    private List<InputCritereItemDTO> criteresDependants;
    private List<InputCritereItemDTO> criteresMaitres;

    protected InputCritereItemDTO() {
        this(null);
    }

    public InputCritereItemDTO(String inputId) {
        this.inputId = inputId;
        this.criteresDependants = new ArrayList<InputCritereItemDTO>();
        this.criteresMaitres =  new ArrayList<InputCritereItemDTO>();
    }

    public void addCritereMaitre(SelectOneCritereItemDTO critereMaitre) {
        this.criteresMaitres.add(critereMaitre);
    }

    public List<InputCritereItemDTO> getCriteresMaitres() {
        return criteresMaitres;
    }

    public String getInputId() {
        return inputId;
    }

    public void addCritereDependant(InputCritereItemDTO critereItem) {
        this.criteresDependants.add(critereItem);
    }

    public List<InputCritereItemDTO> getCriteresDependants() {
        return criteresDependants;
    }
}
