package fr.gouv.finances.dgfip.xemelios.web.gwt.client.dto;

import java.util.ArrayList;
import java.util.List;

/**
 * @author CBO
 */
public class SelectOneCritereItemDTO extends InputCritereItemDTO {

    private List<LabelValueDTO> items;
    private LabelValueDTO selectedItem;

    protected SelectOneCritereItemDTO() {
    }

    public SelectOneCritereItemDTO(String inputId) {
        super(inputId);
        this.items = new ArrayList<LabelValueDTO>();
    }

    public void addItem(LabelValueDTO item) {
        this.items.add(item);
    }

    public LabelValueDTO getSelectedItem() {
        return this.selectedItem;
    }

    public void setSelectedItem(LabelValueDTO selectedItem) {
        this.selectedItem = selectedItem;
    }

    public List<LabelValueDTO> getItems() {
        return items;
    }

    public void setItems(List<LabelValueDTO> items) {
        this.items = items;
    }

    public void accept(CritereItemVisitor critereItemVisitor) {
        critereItemVisitor.visit(this);
    }
}
