package fr.gouv.finances.dgfip.xemelios.web.gwt.client.service;

import com.google.gwt.core.client.GWT;
import com.google.gwt.user.client.rpc.ServiceDefTarget;
import fr.gouv.finances.dgfip.xemelios.web.gwt.client.utils.GWTUtils;

/**
 * @author CBO
 */
public class ServiceLocator {
  static private XemeliosServiceAsync xemeliosService;

  static public XemeliosServiceAsync getXemeliosService() {
    if (xemeliosService == null) {
      xemeliosService = (XemeliosServiceAsync) GWT.create(XemeliosService.class);
      ServiceDefTarget endpoint = (ServiceDefTarget) xemeliosService;
      endpoint.setServiceEntryPoint(GWTUtils.getContextPath() + "/xemeliosService");
    }
    return xemeliosService;
  }
}
