package fr.gouv.finances.dgfip.xemelios.web.gwt.client.widget.search;

import com.google.gwt.user.client.ui.ClickListener;
import com.google.gwt.user.client.ui.Composite;
import com.google.gwt.user.client.ui.HTML;
import com.google.gwt.user.client.ui.VerticalPanel;
import fr.gouv.finances.dgfip.xemelios.web.gwt.client.utils.GWTUtils;
import fr.gouv.finances.dgfip.xemelios.web.gwt.client.widget.ImageButton;

/**
 * @author CBO
 * Widget contenant les boutons lis  la fentre de recherche (bouton d'ajout d'un critre, bouton de lancement de la recherche, ...)
 * @TODO : Corriger bug : quand on clique deux fois rapidement il semble qu'il y a trois evenements dclancs...
 */
public class ButtonsBarWidget extends Composite {

    private VerticalPanel verticalPanel;
    private ImageButton addCritereButton;
    private ImageButton searchButton;
    private ImageButton resetCriteresButton;

    public ButtonsBarWidget() {
        this.verticalPanel = new VerticalPanel();
        this.addCritereButton = new ImageButton(GWTUtils.getContextPath() + "/img/bt_add.gif", new HTML("Ajouter un crit&egrave;re de recherche").getHTML());
        this.searchButton = new ImageButton(GWTUtils.getContextPath() + "/img/bt_search.gif", "Rechercher");
        this.resetCriteresButton = new ImageButton(GWTUtils.getContextPath() + "/img/bt_clearAll.gif", new HTML("Supprimer tous les crit&egrave;res").getHTML());
        this.verticalPanel.add(addCritereButton);
        this.verticalPanel.add(searchButton);
        this.verticalPanel.add(resetCriteresButton);
        initWidget(this.verticalPanel);
    }

    public void addClickListener(ClickListenerType clickListenerType, ClickListener cl) {
        if (clickListenerType.equals(ClickListenerType.ADD_CRITERE)) {
            this.addCritereButton.addClickListener(cl);
        } else if (clickListenerType.equals(ClickListenerType.SEARCH)) {
            this.searchButton.addClickListener(cl);
        } else if (clickListenerType.equals(ClickListenerType.RESET_CRITERES)) {
            this.resetCriteresButton.addClickListener(cl);
        }
    }

    static public enum ClickListenerType {

        ADD_CRITERE,
        SEARCH,
        RESET_CRITERES
    
    }
}
