package fr.gouv.finances.dgfip.xemelios.web.gwt.client.widget.search;

import fr.gouv.finances.dgfip.xemelios.web.gwt.client.widget.PaginationWidget;
import com.google.gwt.user.client.ui.Composite;
import com.google.gwt.user.client.ui.DockPanel;
import com.google.gwt.user.client.ui.Label;
import fr.gouv.finances.dgfip.xemelios.web.gwt.client.widget.PaginationWidget.Page;

/**
 * @author CBO
 */
public class StatusBar extends Composite {

    private DockPanel mainPanel;
    private Label textLabel;
    private PaginationWidget paginationWidget;

    public StatusBar() {
        this.mainPanel = new DockPanel();
        this.textLabel = new Label();
        this.paginationWidget = new PaginationWidget();
        this.mainPanel.add(this.textLabel, DockPanel.WEST);
        this.mainPanel.add(this.paginationWidget, DockPanel.EAST);
        this.mainPanel.setCellHorizontalAlignment(this.paginationWidget, DockPanel.ALIGN_RIGHT);
        initWidget(this.mainPanel);
    }

    public void setText(String text) {
        this.textLabel.setText(text);
    }

    public void setPage(Page page) {
        this.paginationWidget.setPage(page);
    }
}
