<%@ taglib prefix="bean" uri="http://struts.apache.org/tags-bean" %>
<%@ taglib prefix="logic" uri="http://struts.apache.org/tags-logic" %>
<%@ page language="java" pageEncoding="ISO-8859-15" contentType="text/html; charset=ISO-8859-15" %>
<html>
    <head>
        <title><bean:message key="nomApplication"/> - ${titreEcran} - ${codeEcran}</title>
        <link rel="stylesheet" href="${pageContext.request.contextPath}/css/standard.css" type="text/css">
        <link rel="stylesheet" href="${pageContext.request.contextPath}/css/datepicker.css" type="text/css"/>
        <link rel="STYLESHEET" type="text/css" href="${pageContext.request.contextPath}/css/dhtmlXMenu.css">
        <script src="${pageContext.request.contextPath}/js/dhtmlX/dhtmlXProtobar.js"></script>
        <script src="${pageContext.request.contextPath}/js/dhtmlX/dhtmlXMenuBar.js"></script>
        <script src="${pageContext.request.contextPath}/js/dhtmlX/dhtmlXCommon.js"></script>
        <script type="text/javascript" src="${pageContext.request.contextPath}/js/datePicker/datepicker.js"></script>

        <script type="text/javascript">
            var contextPath = "${pageContext.request.contextPath}";

            function onMenuClick(itemId, itemValue) {
                location.href = itemId;
            };

            function initMenu() {
                menu = new dhtmlXMenuBarObject("appMenu", "", "", "", 0, "${pageContext.request.contextPath}/img/dhtmlXMenu/");  
                menu.setOnClickHandler(onMenuClick);
                menu.setGfxPath("${pageContext.request.contextPath}/img/dhtmlXMenu/");
                <c:forEach var="menu" items="${menu.childs}" varStatus="status">
                    var menuItem = new dhtmlXMenuItemObject("${menu.id}", "${menu.caption}");
                    menu.addItem(menu, menuItem);
                    var subMenu = new dhtmlXMenuBarPanelObject(menu, menuItem, true, 0, true);
                    <c:forEach var="subMenu" items="${menu.childs}" varStatus="subMenuStatus">
                        var subMenuItem = new dhtmlXMenuItemObject("${subMenu.id}", "${subMenu.caption}");
                        menu.addItem(subMenu, subMenuItem);
                        <c:if test="${not empty subMenu.childs}">
                            var subSubMenu = new dhtmlXMenuBarPanelObject(subMenu, subMenuItem, true, 0, true);
                            <c:forEach var="subSubMenu" items="${subMenu.childs}" varStatus="subSubMenuStatus">
                                var subSubMenuItem = new dhtmlXMenuItemObject("${subSubMenu.id}", "${subSubMenu.caption}");
                                menu.addItem(subSubMenu, subSubMenuItem);
                                 <c:if test="${not empty subSubMenu.childs}">
                                     var subSubSubMenu = new dhtmlXMenuBarPanelObject(subSubMenu, subSubMenuItem, true, 0, true);
                                     <c:forEach var="subSubSubMenu" items="${subSubMenu.childs}" varStatus="subSubSubMenuStatus">
                                         var subSubSubMenuItem = new dhtmlXMenuItemObject("${subSubSubMenu.id}", "${subSubSubMenu.caption}");
                                         menu.addItem(subSubSubMenu, subSubSubMenuItem);
                                     </c:forEach>
                                 </c:if>
                            </c:forEach>
                        </c:if>
                    </c:forEach>
                </c:forEach>
                menu.showBar();
            }
        </script>
    </head>
    <body leftmargin="0" topmargin="0" marginwidth="0" marginheight="0" onload="initMenu()">
        <%@ include file="/WEB-INF/jsp/include/message.jsp" %>
        <table border="0" width="100%" cellspacing="0" cellpadding="0" height="100%">
            <tr height="0">
                <td colspan="2" id="appMenu"></td>
            </tr>
            <tr>
                <td class="titreEcran">${titreEcran}</td>
                <td class="codeEcran">${codeEcran}</td>
            </tr>
            <tr>
                <td height="100%" colspan="2" valign="top" align="left">