package fr.gouv.finances.dgfip.xemelios.web;

/**
 * @author CBO
 */
public class ApplicationConfigurationException extends RuntimeException {

  public ApplicationConfigurationException(String message) {
    super(message);
  }

  static public class ParametreNonRenseigneException extends ApplicationConfigurationException {

    public ParametreNonRenseigneException(String nomParametre) {
      super("Le parametre " + nomParametre + " n'est pas renseigné");
    }
  }

  static public class ParametreMalRenseigneException extends ApplicationConfigurationException {

    public ParametreMalRenseigneException(String nomParametre, String value) {
      super("La valeur du parametre " + nomParametre + " n'est pas correcte : " + value);
    }
  }
}
