package fr.gouv.finances.dgfip.xemelios.web.accueil;

import fr.gouv.finances.dgfip.xemelios.web.Application;
import fr.gouv.finances.dgfip.xemelios.web.utils.StdDispatchAction;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;

/**
 * @author CBO
 * Affiche la page d'accueil
 */
public class AfficheAccueilAction extends StdDispatchAction {

    @Override
    public ActionForward unspecified(ActionMapping mapping, ActionForm form, HttpServletRequest request, HttpServletResponse response) throws Exception {
        //return process(mapping, form, request, response);
        return showAccueilContent(mapping, form, request, response);
    }

    public ActionForward process(ActionMapping mapping, ActionForm form, HttpServletRequest request, HttpServletResponse response) throws Exception {
        request.setAttribute("menu", Application.getMenu());
        return mapping.findForward("appContainer");
    }

    public ActionForward showAccueilContent(ActionMapping mapping, ActionForm form, HttpServletRequest request, HttpServletResponse response) throws Exception {
        return mapping.findForward("accueil");
    }
}
