package fr.gouv.finances.dgfip.xemelios.web.gwt.client.service;

import com.google.gwt.user.client.rpc.AsyncCallback;
import fr.gouv.finances.dgfip.xemelios.web.gwt.client.dto.SearchParameterDTO;
import java.util.List;
import java.util.Map;

/**
 * @author CBO
 */
public interface XemeliosServiceAsync {

    public void getCWInitParameters(String documentId, String etatId, String elementId, AsyncCallback asyncCallback);

    public void getBudgets(String documentId, String collectiviteId, AsyncCallback asyncCallback);

    public void getCritereItems(String collectiviteId, String budgetId, String documentId, String etatId, String elementId, String criteriaId, AsyncCallback asyncCallback);

    public void getUpdatedSelectOneCritereItemDTO(String collectiviteId, String budgetId, String documentId, String etatId, String elementId, String critereId, String selectId, Map<String, String>inputValuesById, AsyncCallback asyncCallback);

    public void search(String collectiviteId, String budgetId, String documentId, String etatId, String elementId, List<SearchParameterDTO> searchParams, AsyncCallback asyncCallback);
}
