package fr.gouv.finances.dgfip.xemelios.web.utils;

import java.io.CharArrayWriter;
import java.io.PrintWriter;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpServletResponseWrapper;

/**
 * @author CBO
 */
public class CharArrayResponseWrapper extends HttpServletResponseWrapper {

  private CharArrayWriter output;

  @Override
  public String toString() {
    return output.toString();
  }

  public CharArrayResponseWrapper(HttpServletResponse response) {
    super(response);
    output = new CharArrayWriter();
  }

  @Override
  public PrintWriter getWriter() {
    return new PrintWriter(output);
  }

  public char[] toCharArray() {
    return this.output.toCharArray();
  }
}
