<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib prefix="bean" uri="http://struts.apache.org/tags-bean" %>
<html>
  <head>
    <link rel="STYLESHEET" type="text/css" href="${pageContext.request.contextPath}/css/dhtmlXMenu.css">
    <script src="${pageContext.request.contextPath}/js/dhtmlX/dhtmlXProtobar.js"></script>
    <script src="${pageContext.request.contextPath}/js/dhtmlX/dhtmlXMenuBar.js"></script>
    <script src="${pageContext.request.contextPath}/js/dhtmlX/dhtmlXCommon.js"></script>
    <script>
      function onMenuClick(itemId, itemValue) {
        document.getElementById("frameContent").src = itemId;
      };
      function initMenu() {
        menu = new dhtmlXMenuBarObject("appMenu", "", "", "", 0, "${pageContext.request.contextPath}/img/dhtmlXMenu/");  
        menu.setOnClickHandler(onMenuClick);
        menu.setGfxPath("${pageContext.request.contextPath}/img/dhtmlXMenu/");
        <c:forEach var="menu" items="${menu.childs}" varStatus="status">
            var menuItem = new dhtmlXMenuItemObject("${menu.id}", "${menu.caption}");
            menu.addItem(menu, menuItem);
            var subMenu = new dhtmlXMenuBarPanelObject(menu, menuItem, true, 0, true);
            <c:forEach var="subMenu" items="${menu.childs}" varStatus="subMenuStatus">
                var subMenuItem = new dhtmlXMenuItemObject("${subMenu.id}", "${subMenu.caption}");
                menu.addItem(subMenu, subMenuItem);
                <c:if test="${not empty subMenu.childs}">
                    var subSubMenu = new dhtmlXMenuBarPanelObject(subMenu, subMenuItem, true, 0, true);
                    <c:forEach var="subSubMenu" items="${subMenu.childs}" varStatus="subSubMenuStatus">
                        var subSubMenuItem = new dhtmlXMenuItemObject("${subSubMenu.id}", "${subSubMenu.caption}");
                        menu.addItem(subSubMenu, subSubMenuItem);
                         <c:if test="${not empty subSubMenu.childs}">
                             var subSubSubMenu = new dhtmlXMenuBarPanelObject(subSubMenu, subSubMenuItem, true, 0, true);
                             <c:forEach var="subSubSubMenu" items="${subSubMenu.childs}" varStatus="subSubSubMenuStatus">
                                 var subSubSubMenuItem = new dhtmlXMenuItemObject("${subSubSubMenu.id}", "${subSubSubMenu.caption}");
                                 menu.addItem(subSubSubMenu, subSubSubMenuItem);
                             </c:forEach>
                         </c:if>
                    </c:forEach>
                </c:if>
            </c:forEach>
        </c:forEach>
        menu.showBar();
      }
    </script>
  </head>
  <body onload="initMenu()" leftmargin="0" topmargin="0" marginwidth="0" marginheight="0" scroll="no" style="overflow: hidden;">
    <table cellpadding="0" cellspacing="0" width="100%" height="100%">
      <tr>
        <td width="100%" height="0">
          <div id="appMenu" class="menu"></div>
        </td>
      </tr>
      <tr>
        <td width="100%" height="100%">
          <iframe id="frameContent" frameborder="0" width="100%" height="100%" src="${pageContext.request.contextPath}/accueil.do?dispatchMethod=showAccueilContent"></iframe>
        </td>
      </tr>
    </table>
  </body>
</html>